import java.io.*;

public class ExceptionTest14 {
	public static void main(String [] args)  {
				
		try{
			System.out.println("\nmyMethod(hello)");
			myMethod("klea");
			
			System.out.println("\nmyMethod(wolrd)");
			myMethod("kleanthis");
		
			System.out.println("\nmyMethod(null)");
			myMethod(null);
			}
			catch(Exception e){
				System.out.println("main Exception handler");
				}
		}
	
	static void myMethod(String myString) throws Exception {
		// String myString = null;
		System.out.println("myMethod Begin");
		try {
			if(myString.equals("klea"))
				System.out.println("String found Το αλφαριθμητικό βρέθηκε");
			}
		catch(NullPointerException npe) {
			System.out.println("NullPointerException συνελλήφθει");
			System.out.println("NullPointerException αντιμετωπίστηκε");
			}
		catch(Exception e) {
			System.out.println("unexpected Exception μια μη αναμενόμενη εξαίρεση συνελλήφθει");
			System.out.println("was not catch η εξαίρεση δεν αντιμετωπίστηκε");
			throw e;
			}
		finally {
			System.out.println("Exception handler end τέλος διαχειριστή εξαιρέσεων");
			}
		System.out.println("myMethod End");
		}


	}